# `apysc._display.graphics_expression` docstrings

## Module summary

Graphics class-related expression implementations.

## `append_fill_expression` function docstring

Append a fill expression to specified expression's string.<hr>

**[Parameters]**

- `fill_color`: String
  - A fill-color to use.
- `expression`: str
  - Expression string to be appended fill expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_fill_opacity_expression` function docstring

Append a fill opacity expression to a specified expression's string.<hr>

**[Parameters]**

- `fill_alpha`: Number
  - A fill-alpha to use.
- `expression`: str
  - Expression string to be appended fill opacity expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_stroke_expression` function docstring

Append stroke expression to specified expression's string.<hr>

**[Parameters]**

- `line_color`: String
  - A line-color to use.
- `expression`: str
  - Expression string to be appended stroke expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_stroke_linecap_expression` function docstring

Append stroke line cap expression to specified expression's string.<hr>

**[Parameters]**

- `line_cap`: String
  - A line-cap to use.
- `expression`: str
  - Expression string to be appended stroke linecap expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_stroke_linejoin_expression` function docstring

Append stroke line-join expression to specified expression's string.<hr>

**[Parameters]**

- `line_joints`: String
  - A line-join to use.
- `expression`: str
  - Expression string to be appended stroke linejoin expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_stroke_opacity_expression` function docstring

Append stroke opacity expression to specified expression's string.<hr>

**[Parameters]**

- `line_alpha`: Number
  - A line-alpha to use.
- `expression`: str
  - Expression string to be appended stroke opacity expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_stroke_width_expression` function docstring

Append stroke width expression to specified expression's string.<hr>

**[Parameters]**

- `line_thickness`: Int
  - A line-thickness to use.
- `expression`: str
  - Expression string to be appended stroke width expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_x_expression` function docstring

Append x position expression to specified expression's string.<hr>

**[Parameters]**

- `x`: Int
  - An x-coordinate to use.
- `expression`: str
  - Expression string to be appended x position expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.

## `append_y_expression` function docstring

Append y position expression to specified expression's string.<hr>

**[Parameters]**

- `y`: Int
  - A y-coordinate to use.
- `expression`: str
  - Expression string to be appended y position expression.
- `indent_num`: int
  - Indentation number.

<hr>

**[Returns]**

- `expression`: str
  - After appended expression string.